<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_articles_categories
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

// Include the helper functions only once
require_once dirname(__FILE__).'/helper.php';

$list = modDownloadQueueHelper::getList($params, $module);

//if (!empty($list)) {
	$moduleclass_sfx = $params->get('moduleclass_sfx', '');

	$classNamesToRemove = $params->get('remove_class_names', '');

	if (!empty($classNamesToRemove))
	{
		$classNamesToRemove = explode(',', $classNamesToRemove);

		$classNamesToRemove = array_map('trim', $classNamesToRemove);

		foreach($classNamesToRemove as $classNameToRemove)
		{
			$moduleclass_sfx = str_replace($classNameToRemove, '', $moduleclass_sfx);
		}
	}

	$moduleclass_sfx = htmlspecialchars($moduleclass_sfx);

	require JModuleHelper::getLayoutPath('mod_downloadqueue', $params->get('layout', 'default'));
//}
